summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2008-06-09 02:33:06 +0000
committerMike Frysinger <vapier@gentoo.org>2008-06-09 02:33:06 +0000
commit351ec69f642f72db1a05da329da146b59021f555 (patch)
treef354eb5804ed8d91952fb3acb8c2f42602adf20b /eclass/toolchain.eclass
parentUse linker scripts like e2fsprogs #225297 by Mart Raudsepp. (diff)
downloadhistorical-351ec69f642f72db1a05da329da146b59021f555.tar.gz
historical-351ec69f642f72db1a05da329da146b59021f555.tar.bz2
historical-351ec69f642f72db1a05da329da146b59021f555.zip
enable --enable-cld for unstable 4.3 versions
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass11
1 files changed, 10 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 747501a913f2..16e72bf8c737 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.355 2008/06/02 15:38:52 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.356 2008/06/09 02:33:06 vapier Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -1141,6 +1141,15 @@ gcc-compiler-configure() {
export gcc_cv_libc_provides_ssp=yes
confgcc="${confgcc} --disable-libssp"
fi
+
+ # enable the cld workaround until we move things to stable.
+ # by that point, the rest of the software out there should
+ # have caught up.
+ if tc_version_is_at_least "4.3" ; then
+ if ! has ${ARCH} ${KEYWORDS} ; then
+ confgcc="${confgcc} --enable-cld"
+ fi
+ fi
fi
# GTK+ is preferred over xlib in 3.4.x (xlib is unmaintained